Summary:	QupZilla - Web browser based on QtWebKit
Summary(de):	QupZilla - Webbrowser der auf QtWebKit basiert
Name:		qupzilla
Version:	2.2.6
Release:	%mkrel 1
License:	BSD-like
Group:		Networking/WWW
URL:		http://www.qupzilla.com
Source0:	%{name}-%{version}.tar.xz
#--------------------------------
BuildRequires: lib64hunspell-devel
BuildRequires: lib64openssl-devel
BuildRequires: lib64x11-devel
#--------------------------------
BuildRequires: lib64qt5base5-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5webkit-devel
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5quickwidgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64qt5webengine-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: lib64qt5-database-plugin-sqlite
Requires: qtwebengine5
Requires: lib64qt5sql5
Requires: lib64qt5quickwidgets5

Conflicts: falkon

%description
QupZilla is a new and very fast World Wide Web Browser
which uses Qt Framework and its QtWebKit rendering core.
It is a lightweight browser with some advanced functions
like integrated AdBlock, Search Engines Manager, Theming
support, Speed Dial and SSL Certificate manager.

%description -l de
QupZilla ist ein neuer und sehr schneller World Wide Web 
Browser, der das Qt Framework und den QtWebKit Rendering
Kern nutzt. Es ist ein Resourcen schonender Browser mit 
erweiterten Funktionen, wie integriertem Werbeblocker, 
Suchmaschienenverwaltung, Themensupport, Schnellverbindung und 
SSL Zertifikatemanager.

%prep
%setup -q

%build
export USE_LIBPATH=%{_libdir}/
%qmake_qt5
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall INSTALL_ROOT=%{buildroot} 

#dont need this
rm -f %buildroot/%{_libdir}/libQupZilla.so

cat > %{name}.lang << EOF
%lang(ja) /usr/share/qupzilla/locale/qt_ja.qm
%lang(RU) /usr/share/qupzilla/locale/ru_RU.qm
%lang(PT) /usr/share/qupzilla/locale/pt_PT.qm
%lang(it) /usr/share/qupzilla/locale/qt_it.qm
%lang(fa) /usr/share/qupzilla/locale/qt_fa.qm
%lang(RS) /usr/share/qupzilla/locale/sr_RS.qm
%lang(pt) /usr/share/qupzilla/locale/qt_pt.qm
%lang(uk) /usr/share/qupzilla/locale/qt_uk.qm
%lang(sk) /usr/share/qupzilla/locale/qt_sk.qm
%lang(GR) /usr/share/qupzilla/locale/el_GR.qm
%lang(JP) /usr/share/qupzilla/locale/ja_JP.qm
%lang(RO) /usr/share/qupzilla/locale/ro_RO.qm
%lang(sr_RS) /usr/share/qupzilla/locale/qt_sr_RS.qm
%lang(zh_CN) /usr/share/qupzilla/locale/qt_zh_CN.qm
%lang(SE) /usr/share/qupzilla/locale/sv_SE.qm
%lang(CZ) /usr/share/qupzilla/locale/cs_CZ.qm
%lang(VE) /usr/share/qupzilla/locale/es_VE.qm
%lang(ID) /usr/share/qupzilla/locale/id_ID.qm
%lang(es) /usr/share/qupzilla/locale/qt_es.qm
%lang(de) /usr/share/qupzilla/locale/qt_de.qm
%lang(IR) /usr/share/qupzilla/locale/fa_IR.qm
%lang(cs) /usr/share/qupzilla/locale/qt_cs.qm
%lang(GE) /usr/share/qupzilla/locale/ka_GE.qm
%lang(ES) /usr/share/qupzilla/locale/es_ES.qm
%lang(UA) /usr/share/qupzilla/locale/uk_UA.qm
%lang(hu) /usr/share/qupzilla/locale/qt_hu.qm
%lang(IT) /usr/share/qupzilla/locale/it_IT.qm
%lang(CN) /usr/share/qupzilla/locale/zh_CN.qm
%lang(nl) /usr/share/qupzilla/locale/qt_nl.qm
%lang(sr_BA) /usr/share/qupzilla/locale/qt_sr_BA.qm
%lang(SK) /usr/share/qupzilla/locale/sk_SK.qm
%lang(BA) /usr/share/qupzilla/locale/sr_BA.qm
%lang(zh_TW) /usr/share/qupzilla/locale/qt_zh_TW.qm
%lang(HU) /usr/share/qupzilla/locale/hu_HU.qm
%lang(PL) /usr/share/qupzilla/locale/pl_PL.qm
%lang(sv) /usr/share/qupzilla/locale/qt_sv.qm
%lang(DE) /usr/share/qupzilla/locale/de_DE.qm
%lang(TW) /usr/share/qupzilla/locale/zh_TW.qm
%lang(fr) /usr/share/qupzilla/locale/qt_fr.qm
%lang(NL) /usr/share/qupzilla/locale/nl_NL.qm
%lang(el) /usr/share/qupzilla/locale/qt_el.qm
%lang(BR) /usr/share/qupzilla/locale/pt_BR.qm
%lang(pl) /usr/share/qupzilla/locale/qt_pl.qm
%lang(FR) /usr/share/qupzilla/locale/fr_FR.qm
%lang(ru) /usr/share/qupzilla/locale/qt_ru.qm
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_libdir}/libQupZilla.so.*
# plugins
%{_libdir}/%{name}/*.so
%{_datadir}/applications/org.qupzilla.QupZilla.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*x*/apps/%{name}.png
%{_datadir}/bash-completion
%doc AUTHORS COPYRIGHT FAQ README.md
%{_datadir}/metainfo/org.qupzilla.QupZilla.appdata.xml

%changelog
* Sat Mar 17 2018 pp <pp> 2.2.6-1pclos2018
- update

* Tue Jan 30 2018 bb2 <bb2> - 2.2.5-1pclos2018
- new version

* Mon Jan 22 2018 bb2 <bb2> - 2.2.4-1pclos2018
- new version

* Tue Dec 06 2017 pp <pp> 2.2.2-1pclos2017
- update

* Tue Nov 07 2017 pp <pp> 2.2.1-1pclos2017
- update

* Mon Oct 30 2017 Agent Smith <ruidobranco@yahoo.com.br> - 2.2.0-1pclos2017
- new version
- add conflict with falkon

